unit drprva;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, usbDrDaqApi, PicoStatus;

type

  { Tdrdaqf }

  Tdrdaqf = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
  private

  public

  end;

var
  drdaqf: Tdrdaqf;

implementation

{$R *.lfm}

{ Tdrdaqf }

{
Exapmple project for use of usbDrDaqApi.pas library.
Copyright © Marián Hubinský 2020
}
var Doktor : int16;

procedure Tdrdaqf.Button1Click(Sender: TObject);
begin
  button1.caption := inttostr(UsbDrDaqOpenUnit(doktor));
  UsbDrDaqEnableRGBLED(doktor,1);
  UsbDrDaqSetRGBLED(doktor, 0, 40, 0);
end;

procedure Tdrdaqf.Button2Click(Sender: TObject);
begin
  button2.caption := inttostr(UsbDrDaqCloseUnit(doktor));
end;

procedure Tdrdaqf.Button3Click(Sender: TObject);
var
   buffer : pchar;
   info : cardinal;
   length : int16;
   result : PICO_STATUS;
begin
  memo1.Text:='';
  buffer := stralloc(max_path);
  for info := 0 to 48 do
  begin
    buffer[0] := #0;
    result := UsbDrDaqGetUnitInfo(doktor, buffer, 80, length, info);
    if result = 0 then memo1.Lines.Add(inttostr(result) + #9 + inttostr(info) + #9 + inttostr(length) + #9 + buffer);
  end;
  strdispose(buffer);
end;

procedure Tdrdaqf.Button4Click(Sender: TObject);
begin
  button4.caption := inttostr(UsbDrDaqEnableRGBLED(doktor,1));
  button4.caption := inttostr(UsbDrDaqSetRGBLED(doktor, 40, 40, 0));
end;

procedure Tdrdaqf.Button5Click(Sender: TObject);
begin
  UsbDrDaqSetSigGenBuiltIn(doktor, 0, 1000000, 7, USB_DRDAQ_SINE);
end;

procedure Tdrdaqf.Button6Click(Sender: TObject);
var
   value : int16;
   overflow : word;
begin
  UsbDrDaqGetSingle(doktor, USB_DRDAQ_CHANNEL_LIGHT, value, overflow);
  button6.caption := inttostr(value);
end;

procedure Tdrdaqf.Button7Click(Sender: TObject);
var
   nScales, currentScale : int16;
   names : pchar;
begin
  UsbDrDaqSetScalings(doktor, USB_DRDAQ_CHANNEL_SCOPE, 3);
  names := stralloc(128);
  UsbDrDaqGetScalings(doktor, USB_DRDAQ_CHANNEL_SCOPE, nscales, currentScale, names, 128);
  Memo1.Text := names;
  memo1.lines.Add(inttostr(nscales) + #32 + inttostr(currentscale));
  strdispose(names);
end;

end.

